<a
mat-icon-button
class="close-button"
[mat-dialog-close]="true"
matTooltip="{{ matTooltipClose }}"
>
<mat-icon>close</mat-icon>
</a>
<h2 mat-dialog-title>{{ 'addUserCard' | translate }}</h2>
<mat-dialog-content class="pb-3">
  <form [formGroup]="UserForm">
    <div class="d-flex align-items-center m-b-15">
      <img class="mat-card-avatar" [src]="imagePreview" />
      <button
        mat-raised-button
        color="primary"
        class="m-l-15 input-file-button"
      >
        <input
          type="file"
          id="importFile"
          (change)="onFileChange($event)"
          accept="image/*"
        />
      </button>
    </div>
    <div fxLayout="row wrap" class="align-items-center">
      <div fxFlex="100" fxFlex.gt-md="50">
        <div class="m-r-15 m-l-15">
          <mat-form-field>
            <input
              type="text"
              matInput
              required
              [formControl]="UserForm.controls['firstName']"
              placeholder="{{ 'firstNamePlaceholder' | translate }}"
            />
            <mat-error
              *ngIf="
                UserForm.controls['firstName'].hasError('required') &&
                UserForm.controls['firstName'].touched
              "
              >{{'Le prénom est obligatoire.' | translate}}</mat-error
            >
            <mat-error
              *ngIf="
                UserForm.controls['firstName'].hasError('minlength') &&
                UserForm.controls['firstName'].touched
              "
              >{{'Le prénom doit comporter au moins 3 caractères.' | translate}}</mat-error
            >
          </mat-form-field>
        </div>
      </div>
      <div fxFlex="100" fxFlex.gt-md="50">
        <div class="m-r-15 m-l-15">
          <mat-form-field>
            <input
              type="text"
              matInput
              required
              [formControl]="UserForm.controls['lastName']"
              placeholder="{{ 'lastNamePlaceholder' | translate }}"
            />
            <mat-error
              *ngIf="
                UserForm.controls['lastName'].hasError('required') &&
                UserForm.controls['lastName'].touched
              "
              >{{'Le nom est obligatoire.' | translate}}</mat-error
            >
            <mat-error
              *ngIf="
                UserForm.controls['lastName'].hasError('minlength') &&
                UserForm.controls['lastName'].touched
              "
              >{{'Le nom doit comporter au moins 3 caractères.' | translate}}</mat-error
            >
          </mat-form-field>
        </div>
      </div>
    </div>
    <div fxLayout="row wrap" class="align-items-center">
      <div fxFlex="100" fxFlex.gt-md="50">
        <div class="m-r-15 m-l-15">
          <mat-form-field>
            <input
              type="email"
              matInput
              required
              [formControl]="UserForm.controls['email']"
              placeholder="{{ 'emailPlaceholder' | translate }}"
            />
            <mat-error
              *ngIf="
                UserForm.controls['email'].hasError('required') &&
                UserForm.controls['email'].touched
              "
              >{{"L'adresse e-mail est obligatoire." | translate}}</mat-error
            >
            <mat-error
              *ngIf="
                UserForm.controls['email'].hasError('email') &&
                UserForm.controls['email'].touched
              "
              >{{'Vous devez fournir une adresse e-mail valide.' | translate}}</mat-error
            >
          </mat-form-field>
        </div>
      </div>
      <div fxFlex="100" fxFlex.gt-md="50">
        <div class="m-r-15 m-l-15">
          <mat-form-field>
            <input
              type="text"
              matInput
              [formControl]="UserForm.controls['phoneNumber']"
              placeholder="{{ 'phoneNumberPlaceholder' | translate }}"
              (keypress)="numberOnly($event)"
            />
            <mat-error
              *ngIf="
                UserForm.controls['phoneNumber'].hasError('pattern') &&
                UserForm.controls['phoneNumber'].touched
              "
              >{{'Vous devez fournir un numéro de téléphone valide.' | translate}}</mat-error
            >
          </mat-form-field>
        </div>
      </div>
    </div>
    <div fxLayout="row wrap" class="align-items-center">
      <div fxFlex="100" fxFlex.gt-md="50">
        <div class="m-r-15 m-l-15">
          <mat-form-field>
            <mat-label> {{ 'departmentLabel' | translate }} </mat-label>
            <mat-select
              matNativeControl
              required
              [formControl]="UserForm.controls['department']"
            >
              <mat-option
                *ngFor="let dept of departments"
                [value]="dept"
                matTooltip="{{ dept }}"
                >{{ dept }}</mat-option
              >
            </mat-select>
            <mat-error
              *ngIf="
                UserForm.controls['department'].hasError('required') &&
                UserForm.controls['department'].touched
              "
              >{{'Le departement est obligatoire.' | translate}}</mat-error
            >
          </mat-form-field>
        </div>
      </div>
      <div fxFlex="100" fxFlex.gt-md="50">
        <div class="m-r-15 m-l-15">
          <mat-form-field>
            <input
              type="text"
              matInput
              required
              [formControl]="UserForm.controls['position']"
              placeholder="{{ 'positionPlaceholder' | translate }}"
            />
            <mat-error
              *ngIf="
                UserForm.controls['position'].hasError('required') &&
                UserForm.controls['position'].touched
              "
              >{{'La fonction est obligatoire.' | translate}}</mat-error
            >
          </mat-form-field>
        </div>
      </div>
    </div>
    <div fxLayout="row wrap" class="align-items-center">
      <div fxFlex="100" fxFlex.gt-md="50">
        <div class="m-r-15 m-l-15">
          <mat-form-field>
            <mat-label> {{ 'roleLabel' | translate }} </mat-label>
            <mat-select
              matNativeControl
              required
              [formControl]="UserForm.controls['roleId']"
            >
              <mat-option *ngFor="let role of roles" [value]="role.id">{{
                role.name
              }}</mat-option>
            </mat-select>
            <mat-error
              *ngIf="
                UserForm.controls['roleId'].hasError('required') &&
                UserForm.controls['roleId'].touched
              "
              >Le role est obligatoire.</mat-error
            >
          </mat-form-field>
        </div>
      </div>
    </div>
    <div align="end" fxLayoutGap="10px" class="buttons">
      <button
        mat-button
        (click)="submit()"
        mat-flat-button
        color="warn"
        [disabled]="!UserForm.valid"
      >
        {{ 'addButton' | translate }}
      </button>
      <button class="canceled" mat-button (click)="closeDialog()">
        {{ 'cancelButton' | translate }}
      </button>
    </div>
  </form>
</mat-dialog-content>
